%global moz_extensions %{_datadir}/mozilla/extensions
%global firefox_app_id \{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}
%global src_ext_id cookiequickmanager@ysard
%global firefox_inst_dir %{moz_extensions}/%{firefox_app_id}

Name:           mozilla-cookie-quick-manager
Version:        0.5rc2
Release:        %{autorelease}
Summary:        An addon to manage (view, search, create, edit, delete, backup, restore) cookies.

License:        GPL-3.0-or-later
URL:            https://github.com/ysard/cookie-quick-manager
Source0:        https://addons.mozilla.org/firefox/downloads/file/3343599/cookie_quick_manager-%{version}.xpi
Source1:        mozilla-cookie-quick-manager.metainfo.xml
Patch0:         manifest.patch

Requires:       mozilla-filesystem
BuildArch:      noarch

# GNOME Software Center not present on EL < 7
%if 0%{?fedora} || 0%{?rhel} >= 7
BuildRequires:  libappstream-glib
%endif

%description
Easy to use advanced cookie management tool that lets you view, search, create, edit, delete, back up, and restore cookies from within Firefox.

%prep
# Extract .xpi contents to subdirectory for modification
%setup -c

# Apply patch to manifest.json to inject correct extension ID
%autopatch 

%build
# Rebuild the .xpi with the patched manifest
zip -qr ./cookie_quick_manager-%{version}.xpi *

%install
# Install the rebuilt .xpi to the correct Firefox system extension directory
install -Dpm644 cookie_quick_manager-%{version}.xpi \
    %{buildroot}%{firefox_inst_dir}/%{src_ext_id}.xpi

# Install AppStream metadata
install -Dpm644 %{SOURCE1} \
    %{buildroot}%{_metainfodir}/%{name}.metainfo.xml

# Validate AppStream metadata (relaxed mode)
appstream-util validate-relax --nonet \
    %{buildroot}%{_metainfodir}/%{name}.metainfo.xml

%files
%{firefox_inst_dir}/%{src_ext_id}.xpi

# GNOME Software Center metadata
%if 0%{?fedora} || 0%{?rhel} >= 7
%{_metainfodir}/%{name}.metainfo.xml
%endif

%changelog
%autochangelog
